Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160465 - system-config-securitylevel won't start
Summary: system-config-securitylevel won't start
Keywords:
Status: CLOSED DUPLICATE of bug 159100
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 10:18 UTC by Christian Nolte
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-15 14:32:30 UTC


Attachments (Terms of Use)

Description Christian Nolte 2005-06-15 10:18:16 UTC
Description of problem:

system-config-securitylevel won't start. After the password-prompt there is no
further reaction when launched from KDE. When launched from a console, a Python
traceback is printed with "socket.error: port/proto not found" as error
description. 

This occures to me after an update from fc3.

Version-Release number of selected component (if applicable):

system-config-securitylevel-1.5.8-1

How reproducible:
Launch it from a console.

Steps to Reproduce:
1. start system-config-securitylevel
  
Actual results:

Traceback (most recent call last):
  File "/usr/share/system-config-securitylevel/system-config-securitylevel.py",
line 18, in ?
    app.stand_alone()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 453, in
stand_alone
    self.readFile()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 353, in
readFile
    protoname = socket.getservbyport(int(service), protocol)
socket.error: port/proto not found

Expected results:

It should simply start ;-)

Additional info:

Comment 1 Eugene 2005-06-15 14:17:05 UTC
Same happens for me. This only occurs if you have assigned custom ports to be
opened.

Comment 2 Chris Lumens 2005-06-15 14:32:30 UTC
Fixed in Rawhide.  I'll have a FC4 errata about this within a day or two. 
Marking as duplicate of another report on this.

*** This bug has been marked as a duplicate of 159100 ***

Comment 3 samb 2005-06-15 20:55:40 UTC
(In reply to comment #1)

There's a quick-and-dirty workaround for the problem: for every assigned custom 
port that you add to s-c-securitylevel, create a dummy for that port number in
/etc/services. 

E.g. I added "1022:tcp" as a custom port, so I added this line to /etc/services:

mytmp  1022    # KLUDGE REMOVE THIS WHEN system-config-securitylevel IS FIXED

Now when I fire up s-c-securitylevel, the "Other ports" box shows "mytmp:tcp",
rather than 1022:tcp

This quickie stops the getservbyport() error which is the cause of the problem.

> Same happens for me. This only occurs if you have assigned custom ports to be
> opened.



Comment 4 Chris Lumens 2005-06-16 15:30:42 UTC
Update pushed.


Note You need to log in before you can comment on or make changes to this bug.